# maps.py

class Map:
    def __init__(self, width, height, map_data):
        self.width = width
        self.height = height
        self.map_data = map_data

class LobbyEntryMap(Map):
    pass


# -1
levels = (
    Map(11, 6, map_data="\
wwwwwwww   \
w.kwewsw   \
wc.w.w.w   \
w.cwow.wwww\
w......d.bw\
wwwwwwwwwww\
"),

# -2
Map(12, 12, map_data="\
www www www \
wsw wbw wew \
w.w w.www.w \
w.w w.d.wow \
w.w www.w.w \
w.w   w.w.w \
w.wwwww.w.ww\
w......c...w\
wwwwcwwwwwww\
  wk.w      \
  wwkw      \
   www      \
"),

# -3
Map(13, 10, map_data="\
www       www\
wbw       wew\
wdw  www  wow\
wkw  wsw  wkw\
wdwwww.wwwwdw\
w...........w\
w.cc...cc.c.w\
w.kcccccc.c.w\
w.ck....c.c.w\
wwwwwwwwwwwww\
"),

# -4
Map(12, 11, map_data= "\
wwwwwwwwww  \
w.kccccckw  \
wcc.cc.ccw  \
w....c...w  \
w...wwww.w  \
w...o.ew.w  \
wwwwwwww.www\
   wsw w.dbw\
   w.www.www\
   w.....w  \
   wwwwwww  \
"),

# -5
Map(12, 9, map_data="\
www  www www\
wew  wsw wbw\
wowwww.w wdw\
w......w wdw\
w......wwwdw\
w.c........w\
wc.cccccc.cw\
wc.kkc..kccw\
wwwwwwwwwwww\
"),

#-6
Map(13, 11, map_data = "\
wwwwwwww  www\
w.ckkwsw  wew\
w.wwww.wwww.w\
wdwk.c.c..o.w\
wkw.c.c.c.www\
wdw.ccc.c.w  \
w...ck....w  \
wwwwwwwwwdw  \
        wdw  \
        wbw  \
        www  \
"),

# RESCUE NANJI!
Map(12, 9, map_data = "\
  w      w  \
 wsw    wEw \
 w.w    wnw \
ww.wwwwwwoww\
w..c..c.c..w\
w.ccc.cc.c.w\
w.c.c.b...cw\
 wcc....c.w \
  wwwwwwww  \
"),

# -6
Map(10, 8, map_data = "\
WWWWWWWWWW\
WEW....WbW\
WoW....ddW\
W...t..WWW\
WWWCC....W\
  W.kCCW.W\
  WC.k.WSW\
  WWWWWWWW\
"),

# TODO: add levels until 0

)

#   void
# . ground
# w wall
# c crate
# o buttondoor
# d door
# k key
# s start
# e exit
# n Nanji (or Nanji-lookalike)

# W office wall
# C office plant
# t trigger AI spawn - spawn points are the 2 floor tiles above the start location 
# S office startawef
# E office exit


# empty sample map
Map(13, 9, map_data = "\
.............\
.............\
.............\
.............\
.............\
.............\
.............\
.............\
.............\
.............\
.............\
")

